{% extends 'base.html.twig' %}

{% block title %}Bienvenido Login
{% endblock %}

{% block body %}
	<body class="hold-transition login-page">
		<div class="login-box">
			<div class="login-logo">
				<a href="../../index2.html">
					<b>Dashboard</b> GoldenShores</a>
			</div>

			<div class="card">
				<div class="card-body login-card-body">
					<p class="login-box-msg">Sign in to start your session</p>
					<form method="post">
						{% if error %}
							<div class="alert alert-danger">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
						{% endif %}

						{% if app.user %}
							<div class="mb-3">
								You are logged in as
								{{ app.user.userIdentifier }},
								<a href="{{ path('app_logout') }}">Logout</a>
							</div>
						{% endif %}

						<h1 class="h3 mb-3 font-weight-normal">Please sign in</h1>
						


						<div class="input-group mb-3">
							<input type="email" value="{{ last_username }}" name="email" id="inputEmail" class="form-control" autocomplete="email" placeholder='Email' required autofocus>
							<div class="input-group-append">
								<div class="input-group-text">
									<span class="fas fa-envelope"></span>
								</div>
							</div>
						</div>
						<div class="input-group mb-3">
							<input type="password" name="password" id="inputPassword" class="form-control" autocomplete="current-password" placeholder="Password" required>

							<div class="input-group-append">
								<div class="input-group-text">
									<span class="fas fa-lock"></span>
								</div>
							</div>
						</div>
						<div class="row">
							<div class="col-8">
								<div class="icheck-primary">
									<input type="checkbox" id="remember">
									<label for="remember">
										Remember Me
									</label>
								</div>
							</div>
							<input type="hidden" name="_csrf_token" value="{{ csrf_token('authenticate') }}">
							<div class="col-4">
								<button class="btn btn-lg btn-primary" type="submit">
									Sign in
								</button>
							</div>
						</div>
					</form>


					<p class="mb-1">
						<a href="forgot-password.html">I forgot my password</a>
					</p>
					<p class="mb-0">
						<a href="register.html" class="text-center">Register a new membership</a>
					</p>
				</div>

			</div>
		</div>


	</body>

{% endblock %}
